Bug 1524420 (CVE-2017-1000246)

Summary: CVE-2017-1000246 python-pysaml2: Reuse of AES initialization vector in AESCipher
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: apevec, apevec, chrisw, jdennis, jjoyce, jschluet, kbasil, lhh, lpeer, markmc, mburns, nkinder, rbryant, rhos-maint, sclewis, slinaber, tdecacqu
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-04 05:49:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1516163    
Bug Blocks: 1524421    

Description Andrej Nemec 2017-12-11 13:23:34 UTC
It was found that python package pysaml2 version 4.4.0 and earlier reuses the initialization vector across encryptions in the IDP server, resulting in weak encryption of data.

Upstream issue:

https://github.com/rohe/pysaml2/issues/417

Comment 1 Andrej Nemec 2017-12-11 13:24:14 UTC
Created python-pysaml2 tracking bugs for this issue:

Affects: fedora-all [bug 1516163]

Comment 3 Andrej Nemec 2018-05-14 12:16:40 UTC
Statement:

Red Hat Product Security has rated this issue as having security impact of Low for:
* Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
* Red Hat OpenStack Platform 8.0 (Liberty)
* Red Hat OpenStack Platform 9.0 (Mitaka)
* Red Hat OpenStack Platform 10.0 (Newton) 
* Red Hat OpenStack Platform 11.0 (Ocata)
* Red Hat OpenStack Platform 12.0 (Pike)

Although the affected code is present in shipped packages, python-pysaml2 is included only as a dependency of other packages. The affected code cannot be reached in any supported configuration of Red Hat OpenStack Platform.

This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.